Index: /extensions/UserAdvManager/trunk/admin/UAM_admin.php
===================================================================
--- /extensions/UserAdvManager/trunk/admin/UAM_admin.php	(revision 17917)
+++ /extensions/UserAdvManager/trunk/admin/UAM_admin.php	(revision 17918)
@@ -570,156 +570,156 @@
 
   $template->assign(
-    array(
-    'nb_para'                           => $nb_para,
-    'nb_para2'                          => $nb_para2,
-    'UAM_VERSION'                       => $version,
-    'UAM_PATH'                          => UAM_PATH,
-    'UAM_DUMP_DOWNLOAD'                 => $dump_download,
-    'UAM_THEME'                         => $UAM_theme,
-		'UAM_MAIL_INFO_TRUE'                => $conf_UAM[0]=='true' ?  'checked="checked"' : '' ,
-		'UAM_MAIL_INFO_FALSE'               => $conf_UAM[0]=='false' ?  'checked="checked"' : '' ,
-		'UAM_MAILINFO_TEXT'                 => $conf_UAM[8],
-		'UAM_USERNAME_CHAR_TRUE'            => $conf_UAM[5]=='true' ?  'checked="checked"' : '' ,
-		'UAM_USERNAME_CHAR_FALSE'           => $conf_UAM[5]=='false' ?  'checked="checked"' : '' ,
-		'UAM_USERNAME_CHAR_LIST'            => $conf_UAM[6],
-		'UAM_CONFIRM_MAIL_TRUE'             => $conf_UAM[1]=='true' ?  'checked="checked"' : '' ,
-		'UAM_CONFIRM_MAIL_FALSE'            => $conf_UAM[1]=='false' ?  'checked="checked"' : '' ,
-    'UAM_CONFIRM_MAIL_LOCAL'            => $conf_UAM[1]=='local' ?  'checked="checked"' : '' ,
-		'UAM_CONFIRMMAIL_TEXT'              => $conf_UAM[9],
-		'UAM_No_Confirm_Group'              => $conf_UAM[2],
-		'UAM_Validated_Group'               => $conf_UAM[3],
-		'UAM_No_Confirm_Status'             => $conf_UAM[7],
-		'UAM_Validated_Status'              => $conf_UAM[4],
-		'UAM_MAILEXCLUSION_TRUE'            => $conf_UAM[10]=='true' ?  'checked="checked"' : '' ,
-		'UAM_MAILEXCLUSION_FALSE'           => $conf_UAM[10]=='false' ?  'checked="checked"' : '' ,
-		'UAM_MAILEXCLUSION_LIST'            => $conf_UAM[11],
-		'UAM_PASSWORDENF_TRUE'              => $conf_UAM[12]=='true' ?  'checked="checked"' : '' ,
-		'UAM_PASSWORDENF_FALSE'             => $conf_UAM[12]=='false' ?  'checked="checked"' : '' ,
-		'UAM_PASSWORD_SCORE'                => $conf_UAM[13],
-    'UAM_ADMINPASSWENF_TRUE'            => $conf_UAM[14]=='true' ?  'checked="checked"' : '' ,
-		'UAM_ADMINPASSWENF_FALSE'           => $conf_UAM[14]=='false' ?  'checked="checked"' : '' ,
-    'UAM_GHOSTRACKER_TRUE'              => $conf_UAM[15]=='true' ?  'checked="checked"' : '' ,
-		'UAM_GHOSTRACKER_FALSE'             => $conf_UAM[15]=='false' ?  'checked="checked"' : '' ,
-    'UAM_GHOSTRACKER_DAYLIMIT'          => $conf_UAM[16],
-    'UAM_GHOSTRACKER_REMINDERTEXT'      => $conf_UAM[17],
-    'UAM_ADDLASTVISIT_TRUE'             => $conf_UAM[18]=='true' ?  'checked="checked"' : '' ,
-    'UAM_ADDLASTVISIT_FALSE'            => $conf_UAM[18]=='false' ?  'checked="checked"' : '' ,
-    'UAM_ADMINCONFMAIL_TRUE'            => $conf_UAM[19]=='true' ?  'checked="checked"' : '' ,
-    'UAM_ADMINCONFMAIL_FALSE'           => $conf_UAM[19]=='false' ?  'checked="checked"' : '' ,
-    'UAM_REDIRTOPROFILE_TRUE'           => $conf_UAM[20]=='true' ?  'checked="checked"' : '' ,
-    'UAM_REDIRTOPROFILE_FALSE'          => $conf_UAM[20]=='false' ?  'checked="checked"' : '' ,
-    'UAM_GTAUTO_TRUE'                   => $conf_UAM[21]=='true' ?  'checked="checked"' : '' ,
-    'UAM_GTAUTO_FALSE'                  => $conf_UAM[21]=='false' ?  'checked="checked"' : '' ,
-    'UAM_GTAUTOMAIL_TRUE'               => $conf_UAM[22]=='true' ?  'checked="checked"' : '' ,
-    'UAM_GTAUTOMAIL_FALSE'              => $conf_UAM[22]=='false' ?  'checked="checked"' : '' ,
-    'UAM_GTAUTODEL_TEXT'                => $conf_UAM[23],
-    'UAM_GTAUTOMAILTEXT'                => $conf_UAM[24],
-		'UAM_Downgrade_Group'               => $conf_UAM[25],
-		'UAM_Downgrade_Status'              => $conf_UAM[26],
-    'UAM_ADMINVALIDATIONMAIL_TEXT'      => $conf_UAM[27],
-    'UAM_CUSTOMPASSWRETR_TRUE'          => $conf_UAM[28]=='true' ?  'checked="checked"' : '' ,
-    'UAM_CUSTOMPASSWRETR_FALSE'         => $conf_UAM[28]=='false' ?  'checked="checked"' : '' ,
-    'UAM_CUSTOMPASSWRETR_TEXT'          => $conf_UAM[29],
-    'UAM_USRAUTO_TRUE'                  => $conf_UAM[30]=='true' ?  'checked="checked"' : '' ,
-    'UAM_USRAUTO_FALSE'                 => $conf_UAM[30]=='false' ?  'checked="checked"' : '' ,
-    'UAM_USRAUTODEL_TEXT'               => $conf_UAM[31],
-    'UAM_USRAUTOMAIL_TRUE'              => $conf_UAM[32]=='true' ?  'checked="checked"' : '' ,
-    'UAM_USRAUTOMAIL_FALSE'             => $conf_UAM[32]=='false' ?  'checked="checked"' : '' ,
-    'UAM_STUFFS_TRUE'                   => $conf_UAM[33]=='true' ?  'checked="checked"' : '' ,
-    'UAM_STUFFS_FALSE'                  => $conf_UAM[33]=='false' ?  'checked="checked"' : '' ,
-    'UAM_HIDEPASSW_TRUE'                => $conf_UAM[34]=='true' ?  'checked="checked"' : '' ,
-    'UAM_HIDEPASSW_FALSE'               => $conf_UAM[34]=='false' ?  'checked="checked"' : '' ,
-		'UAM_NO_VALID_LEVEL'                => $conf_UAM[35],
-		'UAM_VALID_LEVEL'                   => $conf_UAM[36],
-    'UAM_DOWNGRADE_LEVEL'               => $conf_UAM[37],
-    'UAM_PWDRESET_TRUE'                 => $conf_UAM[38]=='true' ?  'checked="checked"' : '' ,
-    'UAM_PWDRESET_FALSE'                => $conf_UAM[38]=='false' ?  'checked="checked"' : '' ,
-    'UAM_REJECTCONNECT_TRUE'            => $conf_UAM[39]=='true' ?  'checked="checked"' : '' ,
-    'UAM_REJECTCONNECT_FALSE'           => $conf_UAM[39]=='false' ?  'checked="checked"' : '' ,
-    'UAM_REJECTCONNECT_TEXT'            => $conf_UAM[40],
-    'UAM_CONFIRMMAIL_SUBJECT'           => $conf_UAM[41],
-    'UAM_CONFIRMMAIL_REMAIL_SUBJECT'    => $conf_UAM[42],
-    'UAM_INFOMAIL_SUBJECT'              => $conf_UAM[43],
-    'UAM_GTAUTOMAIL_SUBJECT'            => $conf_UAM[44],
-    'UAM_GTREMINDER_SUBJECT'            => $conf_UAM[45],
-    'UAM_ADMINVALIDATIONMAIL_SUBJECT'   => $conf_UAM[46],
-		'UAM_PASSWORD_TEST_SCORE'           => $UAM_Password_Test_Score,
-    'UAM_ERROR_REPORTS1'                => $UAM_Exclusionlist_Error,
-    'UAM_ERROR_REPORTS2'                => $UAM_Illegal_Flag_Error1,
-    'UAM_ERROR_REPORTS3'                => $UAM_Illegal_Flag_Error2,
-    'UAM_ERROR_REPORTS4'                => $UAM_Illegal_Flag_Error3,
-    'UAM_EMAIL_MANDATORY'               => $UAM_Email_Mandatory_Check,
-		'UAM_CONFIRMMAIL_TIMEOUT_TRUE'	    => $conf_UAM_ConfirmMail[0]=='true' ?  'checked="checked"' : '' ,
-		'UAM_CONFIRMMAIL_TIMEOUT_FALSE'     => $conf_UAM_ConfirmMail[0]=='false' ?  'checked="checked"' : '' ,
-		'UAM_CONFIRMMAIL_DELAY'					    => $conf_UAM_ConfirmMail[1],
-    'UAM_CONFIRMMAIL_REMAIL_TRUE'       => $conf_UAM_ConfirmMail[3]=='true' ? 'checked="checked"' : '',
-    'UAM_CONFIRMMAIL_REMAIL_FALSE'      => $conf_UAM_ConfirmMail[3]=='false' ? 'checked="checked"' : '',
-    'UAM_CONFIRMMAIL_REMAIL_TXT1'       => $conf_UAM_ConfirmMail[2],
-    'UAM_CONFIRMMAIL_REMAIL_TXT2'       => $conf_UAM_ConfirmMail[4],
-    'UAM_CONFIRMMAIL_CUSTOM_TXT1'       => $conf_UAM_ConfirmMail[5],
-    'UAM_CONFIRMMAIL_CUSTOM_TXT2'       => $conf_UAM_ConfirmMail[6],
+				array(
+						'nb_para'                           => $nb_para,
+    		'nb_para2'                          => $nb_para2,
+    		'UAM_VERSION'                       => $version,
+    		'UAM_PATH'                          => UAM_PATH,
+    		'UAM_DUMP_DOWNLOAD'                 => $dump_download,
+    		'UAM_THEME'                         => $UAM_theme,
+						'UAM_MAIL_INFO_TRUE'                => $conf_UAM[0]=='true' ?  'checked="checked"' : '' ,
+						'UAM_MAIL_INFO_FALSE'               => $conf_UAM[0]=='false' ?  'checked="checked"' : '' ,
+						'UAM_MAILINFO_TEXT'                 => $conf_UAM[8],
+						'UAM_USERNAME_CHAR_TRUE'            => $conf_UAM[5]=='true' ?  'checked="checked"' : '' ,
+						'UAM_USERNAME_CHAR_FALSE'           => $conf_UAM[5]=='false' ?  'checked="checked"' : '' ,
+						'UAM_USERNAME_CHAR_LIST'            => $conf_UAM[6],
+						'UAM_CONFIRM_MAIL_TRUE'             => $conf_UAM[1]=='true' ?  'checked="checked"' : '' ,
+						'UAM_CONFIRM_MAIL_FALSE'            => $conf_UAM[1]=='false' ?  'checked="checked"' : '' ,
+   			'UAM_CONFIRM_MAIL_LOCAL'            => $conf_UAM[1]=='local' ?  'checked="checked"' : '' ,
+						'UAM_CONFIRMMAIL_TEXT'              => $conf_UAM[9],
+						'UAM_No_Confirm_Group'              => $conf_UAM[2],
+						'UAM_Validated_Group'               => $conf_UAM[3],
+						'UAM_No_Confirm_Status'             => $conf_UAM[7],
+						'UAM_Validated_Status'              => $conf_UAM[4],
+						'UAM_MAILEXCLUSION_TRUE'            => $conf_UAM[10]=='true' ?  'checked="checked"' : '' ,
+						'UAM_MAILEXCLUSION_FALSE'           => $conf_UAM[10]=='false' ?  'checked="checked"' : '' ,
+						'UAM_MAILEXCLUSION_LIST'            => $conf_UAM[11],
+						'UAM_PASSWORDENF_TRUE'              => $conf_UAM[12]=='true' ?  'checked="checked"' : '' ,
+						'UAM_PASSWORDENF_FALSE'             => $conf_UAM[12]=='false' ?  'checked="checked"' : '' ,
+						'UAM_PASSWORD_SCORE'                => $conf_UAM[13],
+   			'UAM_ADMINPASSWENF_TRUE'            => $conf_UAM[14]=='true' ?  'checked="checked"' : '' ,
+						'UAM_ADMINPASSWENF_FALSE'           => $conf_UAM[14]=='false' ?  'checked="checked"' : '' ,
+    		'UAM_GHOSTRACKER_TRUE'              => $conf_UAM[15]=='true' ?  'checked="checked"' : '' ,
+						'UAM_GHOSTRACKER_FALSE'             => $conf_UAM[15]=='false' ?  'checked="checked"' : '' ,
+    		'UAM_GHOSTRACKER_DAYLIMIT'          => $conf_UAM[16],
+    		'UAM_GHOSTRACKER_REMINDERTEXT'      => $conf_UAM[17],
+    		'UAM_ADDLASTVISIT_TRUE'             => $conf_UAM[18]=='true' ?  'checked="checked"' : '' ,
+    		'UAM_ADDLASTVISIT_FALSE'            => $conf_UAM[18]=='false' ?  'checked="checked"' : '' ,
+    		'UAM_ADMINCONFMAIL_TRUE'            => $conf_UAM[19]=='true' ?  'checked="checked"' : '' ,
+    		'UAM_ADMINCONFMAIL_FALSE'           => $conf_UAM[19]=='false' ?  'checked="checked"' : '' ,
+    		'UAM_REDIRTOPROFILE_TRUE'           => $conf_UAM[20]=='true' ?  'checked="checked"' : '' ,
+    		'UAM_REDIRTOPROFILE_FALSE'          => $conf_UAM[20]=='false' ?  'checked="checked"' : '' ,
+    		'UAM_GTAUTO_TRUE'                   => $conf_UAM[21]=='true' ?  'checked="checked"' : '' ,
+    		'UAM_GTAUTO_FALSE'                  => $conf_UAM[21]=='false' ?  'checked="checked"' : '' ,
+    		'UAM_GTAUTOMAIL_TRUE'               => $conf_UAM[22]=='true' ?  'checked="checked"' : '' ,
+    		'UAM_GTAUTOMAIL_FALSE'              => $conf_UAM[22]=='false' ?  'checked="checked"' : '' ,
+    		'UAM_GTAUTODEL_TEXT'                => $conf_UAM[23],
+    		'UAM_GTAUTOMAILTEXT'                => $conf_UAM[24],
+						'UAM_Downgrade_Group'               => $conf_UAM[25],
+						'UAM_Downgrade_Status'              => $conf_UAM[26],
+    		'UAM_ADMINVALIDATIONMAIL_TEXT'      => $conf_UAM[27],
+    		'UAM_CUSTOMPASSWRETR_TRUE'          => $conf_UAM[28]=='true' ?  'checked="checked"' : '' ,
+    		'UAM_CUSTOMPASSWRETR_FALSE'         => $conf_UAM[28]=='false' ?  'checked="checked"' : '' ,
+    		'UAM_CUSTOMPASSWRETR_TEXT'          => $conf_UAM[29],
+    		'UAM_USRAUTO_TRUE'                  => $conf_UAM[30]=='true' ?  'checked="checked"' : '' ,
+    		'UAM_USRAUTO_FALSE'                 => $conf_UAM[30]=='false' ?  'checked="checked"' : '' ,
+    		'UAM_USRAUTODEL_TEXT'               => $conf_UAM[31],
+    		'UAM_USRAUTOMAIL_TRUE'              => $conf_UAM[32]=='true' ?  'checked="checked"' : '' ,
+    		'UAM_USRAUTOMAIL_FALSE'             => $conf_UAM[32]=='false' ?  'checked="checked"' : '' ,
+    		'UAM_STUFFS_TRUE'                   => $conf_UAM[33]=='true' ?  'checked="checked"' : '' ,
+    		'UAM_STUFFS_FALSE'                  => $conf_UAM[33]=='false' ?  'checked="checked"' : '' ,
+    		'UAM_HIDEPASSW_TRUE'                => $conf_UAM[34]=='true' ?  'checked="checked"' : '' ,
+    		'UAM_HIDEPASSW_FALSE'               => $conf_UAM[34]=='false' ?  'checked="checked"' : '' ,
+						'UAM_NO_VALID_LEVEL'                => $conf_UAM[35],
+						'UAM_VALID_LEVEL'                   => $conf_UAM[36],
+    		'UAM_DOWNGRADE_LEVEL'               => $conf_UAM[37],
+    		'UAM_PWDRESET_TRUE'                 => $conf_UAM[38]=='true' ?  'checked="checked"' : '' ,
+    		'UAM_PWDRESET_FALSE'                => $conf_UAM[38]=='false' ?  'checked="checked"' : '' ,
+    		'UAM_REJECTCONNECT_TRUE'            => $conf_UAM[39]=='true' ?  'checked="checked"' : '' ,
+    		'UAM_REJECTCONNECT_FALSE'           => $conf_UAM[39]=='false' ?  'checked="checked"' : '' ,
+    		'UAM_REJECTCONNECT_TEXT'            => $conf_UAM[40],
+    		'UAM_CONFIRMMAIL_SUBJECT'           => $conf_UAM[41],
+    		'UAM_CONFIRMMAIL_REMAIL_SUBJECT'    => $conf_UAM[42],
+    		'UAM_INFOMAIL_SUBJECT'              => $conf_UAM[43],
+    		'UAM_GTAUTOMAIL_SUBJECT'            => $conf_UAM[44],
+    		'UAM_GTREMINDER_SUBJECT'            => $conf_UAM[45],
+    		'UAM_ADMINVALIDATIONMAIL_SUBJECT'   => $conf_UAM[46],
+						'UAM_PASSWORD_TEST_SCORE'           => $UAM_Password_Test_Score,
+    		'UAM_ERROR_REPORTS1'                => $UAM_Exclusionlist_Error,
+    		'UAM_ERROR_REPORTS2'                => $UAM_Illegal_Flag_Error1,
+    		'UAM_ERROR_REPORTS3'                => $UAM_Illegal_Flag_Error2,
+    		'UAM_ERROR_REPORTS4'                => $UAM_Illegal_Flag_Error3,
+    		'UAM_EMAIL_MANDATORY'               => $UAM_Email_Mandatory_Check,
+						'UAM_CONFIRMMAIL_TIMEOUT_TRUE'	    => $conf_UAM_ConfirmMail[0]=='true' ?  'checked="checked"' : '' ,
+						'UAM_CONFIRMMAIL_TIMEOUT_FALSE'     => $conf_UAM_ConfirmMail[0]=='false' ?  'checked="checked"' : '' ,
+						'UAM_CONFIRMMAIL_DELAY'					    => $conf_UAM_ConfirmMail[1],
+    		'UAM_CONFIRMMAIL_REMAIL_TRUE'       => $conf_UAM_ConfirmMail[3]=='true' ? 'checked="checked"' : '',
+    		'UAM_CONFIRMMAIL_REMAIL_FALSE'      => $conf_UAM_ConfirmMail[3]=='false' ? 'checked="checked"' : '',
+    		'UAM_CONFIRMMAIL_REMAIL_TXT1'       => $conf_UAM_ConfirmMail[2],
+    		'UAM_CONFIRMMAIL_REMAIL_TXT2'       => $conf_UAM_ConfirmMail[4],
+    		'UAM_CONFIRMMAIL_CUSTOM_TXT1'       => $conf_UAM_ConfirmMail[5],
+    		'UAM_CONFIRMMAIL_CUSTOM_TXT2'       => $conf_UAM_ConfirmMail[6],
     )
   );
 
   if (isset($_POST['audit']))
-	{
-		$msg_error1 = '';
+		{
+				$msg_error1 = '';
 		
     // Username without forbidden keys
     // -------------------------------
     if ( isset($conf_UAM[5]) and $conf_UAM[5] == 'true' )
-	  {
-			$query = "
-SELECT ".$conf['user_fields']['username'].", ".$conf['user_fields']['email']."
-  FROM ".USERS_TABLE."
-;";
+	  	{
+						$query = '
+SELECT '.$conf['user_fields']['username'].', '.$conf['user_fields']['email'].'
+		FROM '.USERS_TABLE.'
+;';
 			  
-			$result = pwg_query($query);
+						$result = pwg_query($query);
 			
-			while($row = pwg_db_fetch_assoc($result))
-			{
-				if (!ValidateUsername(stripslashes($row['username'])))
-					$msg_error1 .= (($msg_error1 <> '') ? '<br>' : '').l10n('UAM_Err_audit_username_char').stripslashes($row['username']);
-			}
-		}
-
-		$msg_error2 = '';
+						while($row = pwg_db_fetch_assoc($result))
+						{
+								if (!ValidateUsername(stripslashes($row['username'])))
+										$msg_error1 .= (($msg_error1 <> '') ? '<br>' : '').l10n('UAM_Err_audit_username_char').stripslashes($row['username']);
+						}
+				}
+
+				$msg_error2 = '';
 		
     // Email without forbidden domain
     // ------------------------------
     if ( isset($conf_UAM[10]) and $conf_UAM[10] == 'true' )
-	  {
-			$query = "
-SELECT ".$conf['user_fields']['username'].", ".$conf['user_fields']['email']."
-  FROM ".USERS_TABLE."
-;";
+						{
+								$query = '
+SELECT '.$conf['user_fields']['username'].', '.$conf['user_fields']['email'].'
+  FROM '.USERS_TABLE.'
+;';
 			  
-		  $result = pwg_query($query);
+		  				$result = pwg_query($query);
 			
-		  while($row = pwg_db_fetch_assoc($result))
-		  {
-			  $conf_MailExclusion = preg_split("/[\s,]+/",$conf_UAM[11]);
-			  for ($i = 0 ; $i < count($conf_MailExclusion) ; $i++)
-			  {
-					$pattern = '/'.$conf_MailExclusion[$i].'/';
-				  if (preg_match($pattern, $row['mail_address']))
-				  {
-						$msg_error2 .=  (($msg_error2 <> '') ? '<br>' : '').l10n('UAM_Err_audit_email_forbidden').stripslashes($row['username']).' ('.$row['mail_address'].')';
-					}
-				}
-			}
-		}
+		  				while($row = pwg_db_fetch_assoc($result))
+		  				{
+			  					$conf_MailExclusion = preg_split("/[\s,]+/",$conf_UAM[11]);
+			  					for ($i = 0 ; $i < count($conf_MailExclusion) ; $i++)
+			  					{
+												$pattern = '/'.$conf_MailExclusion[$i].'/';
+				  						if (preg_match($pattern, $row['mail_address']))
+				  						{
+														$msg_error2 .=  (($msg_error2 <> '') ? '<br>' : '').l10n('UAM_Err_audit_email_forbidden').stripslashes($row['username']).' ('.$row['mail_address'].')';
+												}
+										}
+								}
+						}
 		
-    if ($msg_error1 <> '')
-			$errors[] = $msg_error1.'<br><br>';
+    		if ($msg_error1 <> '')
+								$errors[] = $msg_error1.'<br><br>';
 		
-		if ($msg_error2 <> '')
-			$errors[] = $msg_error2.'<br><br>';
+						if ($msg_error2 <> '')
+								$errors[] = $msg_error2.'<br><br>';
 		
-		if ($msg_error1 <> '' or $msg_error2 <> '')
-	  	array_push($page['errors'], l10n('UAM_Err_audit_advise'));
-		else
-    	array_push($page['infos'], l10n('UAM_audit_ok'));
-	}
+						if ($msg_error1 <> '' or $msg_error2 <> '')
+	  					array_push($page['errors'], l10n('UAM_Err_audit_advise'));
+						else
+    				array_push($page['infos'], l10n('UAM_audit_ok'));
+  }
 
 
@@ -727,12 +727,12 @@
 // |                             errors display                            |
 // +-----------------------------------------------------------------------+
-  if (isset ($errors) and count($errors) != 0)
+		if (isset ($errors) and count($errors) != 0)
   {
-	  $template->assign('errors',array());
-	  foreach ($errors as $error)
-	  {
-		  array_push($page['errors'], $error);
-		}
-	}  
+				$template->assign('errors',array());
+	  	foreach ($errors as $error)
+	  	{
+		  		array_push($page['errors'], $error);
+				}
+		}  
 
 // +-----------------------------------------------------------------------+
@@ -760,15 +760,15 @@
 // +-----------------------------------------------------------------------+
 
-		if (!defined('PHPWG_ROOT_PATH'))
-    {
-    	die('Hacking attempt!');
-    }
+				if (!defined('PHPWG_ROOT_PATH'))
+  		{
+  				die('Hacking attempt!');
+  		}
           
-    include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');
+  		include_once(PHPWG_ROOT_PATH.'admin/include/functions.php');
 
 // +-----------------------------------------------------------------------+
 // | Check Access and exit when user status is not ok                      |
 // +-----------------------------------------------------------------------+
-		check_status(ACCESS_ADMINISTRATOR);
+				check_status(ACCESS_ADMINISTRATOR);
 
 
@@ -777,5 +777,5 @@
 // +-----------------------------------------------------------------------+
 
-		$page['filtered_users'] = get_user_list();
+				$page['filtered_users'] = get_user_list();
 
 // +-----------------------------------------------------------------------+
@@ -783,89 +783,92 @@
 // +-----------------------------------------------------------------------+
 
-    $visible_user_list = array();
-    foreach ($page['filtered_users'] as $num => $local_user)
-    {
-      $visible_user_list[] = $local_user;
+				$visible_user_list = array();
+  		foreach ($page['filtered_users'] as $num => $local_user)
+  		{
+  				$visible_user_list[] = $local_user;
+				}
+
+				foreach ($visible_user_list as $local_user)
+  	{
+  				// dates formating and compare
+    		// ---------------------------
+    		$today = date("d-m-Y"); // Get today's date
+    		list($day, $month, $year) = explode('-', $today); // explode date of today						 
+    		$daytimestamp = mktime(0, 0, 0, $month, $day, $year);// Generate UNIX timestamp
+
+    		list($regdate, $regtime) = explode(' ', $local_user['lastvisit']); // Explode date and time from registration date
+    		list($regyear, $regmonth, $regday) = explode('-', $regdate); // Explode date from registration date
+    		$regtimestamp = mktime(0, 0, 0, $regmonth, $regday, $regyear);// Generate UNIX timestamp
+
+						$deltasecs = $daytimestamp - $regtimestamp;// Compare the 2 UNIX timestamps	
+    		$deltadays = floor($deltasecs / 86400);// Convert result from seconds to days
+  
+						if (isset($conf_UAM[15]) and $conf_UAM[15]=='true' and $conf_UAM[16] <> '')
+    		{
+    				if ($deltadays <= ($conf_UAM[16]/2))
+      		{
+      				$display = 'green';
+      		}
+
+								if (($deltadays > ($conf_UAM[16]/2)) and ($deltadays < $conf_UAM[16]))
+      		{
+      				$display = 'orange';
+      		}
+
+      		if ($deltadays >= $conf_UAM[16])
+      		{
+      				$display = 'red';
+     			}
+						}
+    		else $display = '';
+
+    		// Template initialization
+    		// -----------------------
+   			$template->append(
+    				'users',
+      				array(
+       					'ID'          => $local_user['id'],
+         			'USERNAME'    => stripslashes($local_user['username']),
+												'EMAIL'       => get_email_address_as_display_text($local_user['email']),
+          		'LASTVISIT'   => $local_user['lastvisit'],
+          		'DAYS'        => $deltadays,
+          		'DISPLAY'     => $display,
+										)
+						);
+				}
+
+				// Plugin version inserted
+  		// -----------------------
+  		$template->assign(
+  				array(
+    				'UAM_VERSION'  => $version,
+      		'UAM_PATH'     => UAM_PATH,
+    		)
+  		);
+    
+// +-----------------------------------------------------------------------+
+// |                             errors display                            |
+// +-----------------------------------------------------------------------+
+				if ( isset ($errors) and count($errors) != 0)
+				{
+						$template->assign('errors',array());
+						foreach ($errors as $error)
+  				{
+								array_push($page['errors'], $error);
+	  			}
+				}  
+
+// +-----------------------------------------------------------------------+
+// |                           templates display                           |
+// +-----------------------------------------------------------------------+
+				$template->set_filename('plugin_admin_content', dirname(__FILE__) . '/template/userlist.tpl');
+  		$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');		
 		}
-
-		foreach ($visible_user_list as $local_user)
-    {
-      // dates formating and compare
-      // ---------------------------
-      $today = date("d-m-Y"); // Get today's date
-      list($day, $month, $year) = explode('-', $today); // explode date of today						 
-      $daytimestamp = mktime(0, 0, 0, $month, $day, $year);// Generate UNIX timestamp
-	  	
-      list($regdate, $regtime) = explode(' ', $local_user['lastvisit']); // Explode date and time from registration date
-      list($regyear, $regmonth, $regday) = explode('-', $regdate); // Explode date from registration date
-      $regtimestamp = mktime(0, 0, 0, $regmonth, $regday, $regyear);// Generate UNIX timestamp
-			
-      $deltasecs = $daytimestamp - $regtimestamp;// Compare the 2 UNIX timestamps	
-      $deltadays = floor($deltasecs / 86400);// Convert result from seconds to days
-      
-      if (isset($conf_UAM[15]) and $conf_UAM[15]=='true' and $conf_UAM[16] <> '')
-      {
-        if ($deltadays <= ($conf_UAM[16]/2))
-        {
-          $display = 'green';
-        }
-        
-        if (($deltadays > ($conf_UAM[16]/2)) and ($deltadays < $conf_UAM[16]))
-        {
-          $display = 'orange';
-        }
-        
-        if ($deltadays >= $conf_UAM[16])
-        {
-          $display = 'red';
-        }
-      }
-      else $display = '';
-
-      // Template initialization
-      // -----------------------
-   		$template->append(
-     		'users',
-       	array(
-       		'ID'          => $local_user['id'],
-         	'USERNAME'    => stripslashes($local_user['username']),
-					'EMAIL'       => get_email_address_as_display_text($local_user['email']),
-          'LASTVISIT'   => $local_user['lastvisit'],
-          'DAYS'        => $deltadays,
-          'DISPLAY'     => $display,
-				)
-			);
+		else
+		{
+				array_push($page['errors'], l10n('UAM_Err_Userlist_Settings'));
 		}
-    // Plugin version inserted
-    // -----------------------
-    $template->assign(
-      array(
-        'UAM_VERSION'  => $version,
-        'UAM_PATH'     => UAM_PATH,
-      )
-    );    
-// +-----------------------------------------------------------------------+
-// |                             errors display                            |
-// +-----------------------------------------------------------------------+
-		if ( isset ($errors) and count($errors) != 0)
-		{
-	  	$template->assign('errors',array());
-			foreach ($errors as $error)
-	  	{
-				array_push($page['errors'], $error);
-	  	}
- 		}  
-
-// +-----------------------------------------------------------------------+
-// |                           templates display                           |
-// +-----------------------------------------------------------------------+
-		$template->set_filename('plugin_admin_content', dirname(__FILE__) . '/template/userlist.tpl');
-    $template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');		
-  }
-  else
-  {
-		array_push($page['errors'], l10n('UAM_Err_Userlist_Settings'));
-  }
-  break;
+
+break;
 
 
@@ -881,5 +884,5 @@
   $conf_UAM_ConfirmMail = unserialize($conf['UserAdvManager_ConfirmMail']);
 	
-  if (isset($conf_UAM[1]) and ($conf_UAM[1]=='true' or $conf_UAM[1]=='local') and ((isset($conf_UAM[2]) and $conf_UAM[2] <> '-1') or (isset($conf_UAM[7]) and $conf_UAM[7] <> '-1')))
+  if (isset($conf_UAM[1]) and ($conf_UAM[1]=='true' or $conf_UAM[1]=='local'))
   {
 // +-----------------------------------------------------------------------+
@@ -887,7 +890,7 @@
 // +-----------------------------------------------------------------------+
 
-		if (!defined('PHPWG_ROOT_PATH'))
+				if (!defined('PHPWG_ROOT_PATH'))
     {
-    	die('Hacking attempt!');
+    		die('Hacking attempt!');
     }
 
@@ -897,5 +900,5 @@
 // | Check Access and exit when user status is not ok                      |
 // +-----------------------------------------------------------------------+
-		check_status(ACCESS_ADMINISTRATOR);
+				check_status(ACCESS_ADMINISTRATOR);
 
 // +-----------------------------------------------------------------------+
@@ -903,85 +906,85 @@
 // +-----------------------------------------------------------------------+
 
-		$page['filtered_users'] = get_unvalid_user_list();
+				$page['filtered_users'] = get_unvalid_user_list();
 
 // +-----------------------------------------------------------------------+
 // |                            selected users                             |
 // +-----------------------------------------------------------------------+
-		if (isset($_POST['Del_Selected']))
-		{
-  		$collection = array();
-
-			switch ($_POST['target'])
-    	{
-    		case 'all' :
-      	{
-      		foreach($page['filtered_users'] as $local_user)
-        	{
-        		array_push($collection, $local_user['id']);
-        	}
-					break;
-				}
-      	case 'selection' :
-      	{
-      		if (isset($_POST['selection']))
-        	{
-        		$collection = $_POST['selection'];
-        	}
-        	break;
-      	}
-			}
-
-			if (count($collection) == 0)
-    	{
-    		array_push($page['errors'], l10n('Select at least one user'));
-   		}
-		}
+				if (isset($_POST['Del_Selected']))
+				{
+  				$collection = array();
+
+						switch ($_POST['target'])
+						{
+  						case 'all' :
+      		{
+     					foreach($page['filtered_users'] as $local_user)
+        		{
+        				array_push($collection, $local_user['id']);
+        		}
+								break;
+								}
+      		case 'selection' :
+      		{
+      				if (isset($_POST['selection']))
+        		{
+        				$collection = $_POST['selection'];
+        		}
+      		break;
+      		}
+						}
+
+						if (count($collection) == 0)
+    		{
+    				array_push($page['errors'], l10n('Select at least one user'));
+   			}
+				}
 
 // +-----------------------------------------------------------------------+
 // |                             delete users                              |
 // +-----------------------------------------------------------------------+
-		if (isset($_POST['Del_Selected']) and count($collection) > 0)
-  	{
-  		if (in_array($conf['guest_id'], $collection))
-   		{
-    		array_push($page['errors'], l10n('Guest cannot be deleted'));
-    	}
-    	if (($conf['guest_id'] != $conf['default_user_id']) and
-    		in_array($conf['default_user_id'], $collection))
-    	{
-    		array_push($page['errors'], l10n('Default user cannot be deleted'));
-    	}
-    	if (in_array($conf['webmaster_id'], $collection))
-    	{
-    		array_push($page['errors'], l10n('Webmaster cannot be deleted'));
-    	}
-    	if (in_array($user['id'], $collection))
-    	{
-    		array_push($page['errors'], l10n('You cannot delete your account'));
-    	}
-
-			if (count($page['errors']) == 0)
-    	{
-    		foreach ($collection as $user_id)
-      	{
-      		delete_user($user_id);
-      	}
-     		array_push(
-      		$page['infos'],
-        	l10n_dec(
-        	'%d user deleted', '%d users deleted',
-        	count($collection)
-        	)
-      	);
-
-      	foreach ($page['filtered_users'] as $filter_key => $filter_user)
-      	{
-      		if (in_array($filter_user['id'], $collection))
-        	{
-        		unset($page['filtered_users'][$filter_key]);
-        	}
-     		}
-			}
-		}
+				if (isset($_POST['Del_Selected']) and count($collection) > 0)
+  		{
+ 					if (in_array($conf['guest_id'], $collection))
+   			{
+    				array_push($page['errors'], l10n('Guest cannot be deleted'));
+    		}
+   			if (($conf['guest_id'] != $conf['default_user_id']) and
+    				in_array($conf['default_user_id'], $collection))
+    		{
+    				array_push($page['errors'], l10n('Default user cannot be deleted'));
+    		}
+    		if (in_array($conf['webmaster_id'], $collection))
+    		{
+    				array_push($page['errors'], l10n('Webmaster cannot be deleted'));
+    		}
+    		if (in_array($user['id'], $collection))
+    		{
+    				array_push($page['errors'], l10n('You cannot delete your account'));
+    		}
+
+						if (count($page['errors']) == 0)
+    		{
+   					foreach ($collection as $user_id)
+      		{
+      				delete_user($user_id);
+     			}
+								array_push(
+      				$page['infos'],
+       			l10n_dec(
+       					'%d user deleted', '%d users deleted',
+        		count($collection)
+       			)
+      		);
+
+      		foreach ($page['filtered_users'] as $filter_key => $filter_user)
+      		{
+     					if (in_array($filter_user['id'], $collection))
+       			{
+        				unset($page['filtered_users'][$filter_key]);
+        		}
+     			}
+						}
+				}
 
 // +-----------------------------------------------------------------------+
